Subject: bug#45149: Daemon discovers itself

From: Ludovic Courtès <[email-masked]>
Date: Wed, 09 Dec 2020 22:13:10 +0100

Hi!

Now that I have ‘guix publish --advertise’ and ‘guix-daemon --discover’
on the same machine (yay!), I noticed that the daemon discovers myself:

--8<---------------cut here---------------start------------->8---
$ guix build coreutils --no-grafts
substitute: updating substitutes from 'http://127.0.0.1:8123'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
--8<---------------cut here---------------end--------------->8---

We should filter out localhost because I bet it doesn’t have the store
items I’m looking for.  :-)  The extra lookup also takes time.

Ludo’.